{"openapi":"3.0.4","info":{"title":"List all configuration sets summaries (I.e. list of scope/code combinations available)","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/configuration"}],"paths":{"/api/sets":{"get":{"tags":["ConfigurationSets"],"summary":"List all configuration sets summaries (I.e. list of scope/code combinations available)","operationId":"ListConfigurationSets","parameters":[{"name":"type","in":"query","description":"Whether the configuration set is Personal or Shared","schema":{"type":"string"}},{"name":"userId","in":"query","description":"Feature that allows Administrators to administer personal settings  (but never reveal the value of secrets) of a specific user.","schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/configuration/schemas.json#/components/schemas/ResourceListOfConfigurationSetSummary"},"example":{"values":[{"id":{"scope":"official","code":"system-a-config"},"type":"shared"}],"links":[]}},"text/plain":{"schema":{"$ref":"/docs/api/configuration/schemas.json#/components/schemas/ResourceListOfConfigurationSetSummary"},"example":{"values":[{"id":{"scope":"official","code":"system-a-config"},"type":"shared"}],"links":[]}},"text/json":{"schema":{"$ref":"/docs/api/configuration/schemas.json#/components/schemas/ResourceListOfConfigurationSetSummary"},"example":{"values":[{"id":{"scope":"official","code":"system-a-config"},"type":"shared"}],"links":[]}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/configuration/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/configuration/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/configuration/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/configuration/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"EarlyAccess"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}